Table of Contents

Class: DomainWithDefaultDict | Twisted-0.19.0/twisted/mail/mail.py
--- | ---
Simulate a dictionary with a default value for non-existing keys.
Methods |
--- | ---
__getitem__ __init__ __setitem__ has_key setDefaultDomain
| __getitem__
    __getitem__ ( self,  name )
| __init__
    __init__ (
            self,
            domains,
            default,
            )
| __setitem__
    __setitem__ (
            self,
            name,
            value,
            )
| has_key
    has_key ( self,  name )
| setDefaultDomain
    setDefaultDomain ( self,  domain )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:48 2002 by HappyDoc version 2.0